apiVersion: v1
data:
  services.yaml: |
    defaults:
      repo: archie-platform-v3
      project_owner: heyarchie
      project_repo: archie-platform-v3
      default_branch: main
      k8s_namespace: archie-services
      k8s_cluster: gke-archie-platform-cluster
      default_service_type: fastapi
      default_port: 8000
      ci_timeout_minutes: 30
      test_coverage_threshold: 0.70
      workflow_timeout_minutes: 60
      max_retries: 3

    services:
      # Core Authentication Service
      authentication:
        name: Authentication Service
        description: |
          Handles user authentication, SSO integration via WorkOS, JWT token management,
          session handling, and multi-factor authentication.
        spec_path: docs/requirements/02_AUTHENTICATION_SERVICE.md
        spec_version: v0.7.0
        project_number: 2
        status: in_progress

        service_path: apps/authentication-service/
        service_type: fastapi
        port: 8000

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: passing
        test_coverage: 0.65
        completeness_score: 0.70
        last_ci_run: 2025-12-06T12:00:00Z
        last_build_time: 180.5

        helm_chart_path: apps/authentication-service/helm/
        k8s_deployed: true
        k8s_namespace: authentication
        k8s_deployment_name: auth-api
        k8s_service_name: auth-api
        k8s_last_deployed: 2025-12-05T10:30:00Z

        created_at: 2025-10-01T09:00:00Z
        updated_at: 2025-12-06T12:00:00Z
        owner: "@auth-team"
        tags:
          - core
          - security
          - authentication

      # Policy Evaluation Service
      policy:
        name: Policy Service
        description: |
          Cedar-based policy evaluation service for authorization decisions,
          policy management, and Row-Level Security (RLS) synchronization.
        spec_path: docs/requirements/03_POLICY_SERVICE.md
        spec_version: v0.7.5
        project_number: 3
        status: in_progress

        service_path: services/policy-service/
        service_type: fastapi
        port: 8080

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: passing
        test_coverage: 0.72
        completeness_score: 0.75
        last_ci_run: 2025-12-06T11:45:00Z
        last_build_time: 165.2

        helm_chart_path: services/policy-service/helm/
        k8s_deployed: true
        k8s_namespace: policy-service
        k8s_deployment_name: policy-api
        k8s_service_name: policy-api
        k8s_last_deployed: 2025-12-05T11:00:00Z

        created_at: 2025-10-01T09:00:00Z
        updated_at: 2025-12-06T11:45:00Z
        owner: "@policy-team"
        tags:
          - core
          - security
          - authorization

      # Observability Platform
      observability:
        name: Observability Service
        description: |
          Centralized observability platform with metrics collection, log aggregation,
          distributed tracing, and alerting capabilities.
        spec_path: docs/requirements/11_OBSERVABILITY_SERVICE.md
        spec_version: v0.1.5
        project_number: 11
        status: planned

        service_path: services/observability-service/
        service_type: fastapi
        port: 8002

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: null
        test_coverage: null
        completeness_score: 0.15
        last_ci_run: null
        last_build_time: null

        helm_chart_path: services/observability-service/helm/
        k8s_deployed: false
        k8s_namespace: observability
        k8s_deployment_name: observability-api
        k8s_service_name: observability-api
        k8s_last_deployed: null

        created_at: 2025-11-20T10:00:00Z
        updated_at: 2025-12-05T14:00:00Z
        owner: "@sre-team"
        tags:
          - observability
          - monitoring
          - planned

      # API Gateway
      api_gateway:
        name: API Gateway Service
        description: |
          Central API gateway providing routing, rate limiting, authentication,
          and API composition for all microservices.
        spec_path: docs/requirements/01_API_GATEWAY.md
        spec_version: v0.5.0
        project_number: 1
        status: in_progress

        service_path: services/api-gateway/
        service_type: fastapi
        port: 8001

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: failing
        test_coverage: 0.45
        completeness_score: 0.50
        last_ci_run: 2025-12-06T10:30:00Z
        last_build_time: 145.8

        helm_chart_path: services/api-gateway/helm/
        k8s_deployed: false
        k8s_namespace: api-gateway
        k8s_deployment_name: api-gateway
        k8s_service_name: api-gateway
        k8s_last_deployed: null

        created_at: 2025-10-15T08:00:00Z
        updated_at: 2025-12-06T10:30:00Z
        owner: "@platform-team"
        tags:
          - core
          - gateway
          - routing

      # Agent Orchestration Service
      agent:
        name: Agent Service
        description: |
          AI agent orchestration service managing agent lifecycles, capabilities,
          tool execution, and conversation context.
        spec_path: docs/requirements/05_AGENT_SERVICE.md
        spec_version: v0.4.5
        project_number: 5
        status: in_progress

        service_path: services/agent-service/
        service_type: fastapi
        port: 8003

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: failing
        test_coverage: 0.38
        completeness_score: 0.45
        last_ci_run: 2025-12-06T09:15:00Z
        last_build_time: 198.3

        helm_chart_path: services/agent-service/helm/
        k8s_deployed: false
        k8s_namespace: agent
        k8s_deployment_name: agent-api
        k8s_service_name: agent-api
        k8s_last_deployed: null

        created_at: 2025-10-20T10:00:00Z
        updated_at: 2025-12-06T09:15:00Z
        owner: "@ai-team"
        tags:
          - ai
          - orchestration
          - agents

      # Integration Management Service
      integration:
        name: Integration Service
        description: |
          External integration management for third-party services, OAuth flows,
          webhook handling, and data synchronization.
        spec_path: docs/requirements/08_INTEGRATION_SERVICE.md
        spec_version: v0.4.8
        project_number: 8
        status: in_progress

        service_path: services/integration-service/
        service_type: fastapi
        port: 8004

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: passing
        test_coverage: 0.42
        completeness_score: 0.48
        last_ci_run: 2025-12-06T08:45:00Z
        last_build_time: 134.7

        helm_chart_path: services/integration-service/helm/
        k8s_deployed: false
        k8s_namespace: integration
        k8s_deployment_name: integration-api
        k8s_service_name: integration-api
        k8s_last_deployed: null

        created_at: 2025-11-01T09:00:00Z
        updated_at: 2025-12-06T08:45:00Z
        owner: "@integration-team"
        tags:
          - integrations
          - webhooks
          - oauth

      # Conversation Management Service
      conversation:
        name: Conversation Service
        description: |
          Manages conversation context, participants, message threading,
          and conversation history storage.
        spec_path: docs/requirements/06_CONVERSATION_SERVICE.md
        spec_version: v0.1.0
        project_number: 6
        status: not_started

        service_path: services/conversation-service/
        service_type: fastapi
        port: 8005

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: null
        test_coverage: null
        completeness_score: 0.10
        last_ci_run: null
        last_build_time: null

        helm_chart_path: services/conversation-service/helm/
        k8s_deployed: false
        k8s_namespace: conversation
        k8s_deployment_name: conversation-api
        k8s_service_name: conversation-api
        k8s_last_deployed: null

        created_at: 2025-12-01T10:00:00Z
        updated_at: 2025-12-06T15:30:00Z
        owner: "@conversation-team"
        tags:
          - messaging
          - conversation
          - planned

      # Document Ingestion Service
      ingestion:
        name: Ingestion Service
        description: |
          Document and data ingestion pipeline with parsing, extraction,
          vectorization, and storage capabilities.
        spec_path: docs/requirements/09_INGESTION_SERVICE.md
        spec_version: v0.2.0
        project_number: 9
        status: planned

        service_path: services/ingestion-service/
        service_type: fastapi
        port: 8006

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: null
        test_coverage: null
        completeness_score: 0.20
        last_ci_run: null
        last_build_time: null

        helm_chart_path: services/ingestion-service/helm/
        k8s_deployed: false
        k8s_namespace: ingestion
        k8s_deployment_name: ingestion-api
        k8s_service_name: ingestion-api
        k8s_last_deployed: null

        created_at: 2025-11-15T11:00:00Z
        updated_at: 2025-12-03T16:00:00Z
        owner: "@data-team"
        tags:
          - data
          - ingestion
          - planned

      # Search Service
      search:
        name: Search Service
        description: |
          Hybrid search service combining vector similarity and keyword search
          with relevance ranking and filtering.
        spec_path: docs/requirements/10_SEARCH_SERVICE.md
        spec_version: v0.1.8
        project_number: 10
        status: planned

        service_path: services/search-service/
        service_type: fastapi
        port: 8007

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: null
        test_coverage: null
        completeness_score: 0.18
        last_ci_run: null
        last_build_time: null

        helm_chart_path: services/search-service/helm/
        k8s_deployed: false
        k8s_namespace: search
        k8s_deployment_name: search-api
        k8s_service_name: search-api
        k8s_last_deployed: null

        created_at: 2025-11-18T10:30:00Z
        updated_at: 2025-12-04T14:00:00Z
        owner: "@search-team"
        tags:
          - search
          - vector
          - planned

      # Workflow Orchestration Engine
      workflow_engine:
        name: Workflow Engine Service
        description: |
          Workflow orchestration engine managing task execution, dependencies,
          retries, and state transitions.
        spec_path: docs/requirements/07_WORKFLOW_ENGINE_SERVICE.md
        spec_version: v0.4.0
        project_number: 7
        status: in_progress

        service_path: services/workflow-service/
        service_type: fastapi
        port: 8008

        issue_number: 42
        pr_numbers:
          - 123
          - 124
        last_workflow_run: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        last_snapshot_url: https://github.com/heyarchie/archie-platform-v3/issues/42#issuecomment-123456

        ci_status: failing
        test_coverage: 0.35
        completeness_score: 0.40
        last_ci_run: 2025-12-06T14:22:00Z
        last_build_time: 245.3

        helm_chart_path: services/workflow-service/helm/
        k8s_deployed: false
        k8s_namespace: workflow
        k8s_deployment_name: workflow-api
        k8s_service_name: workflow-api
        k8s_last_deployed: null

        created_at: 2025-11-15T09:30:00Z
        updated_at: 2025-12-06T14:25:00Z
        owner: "@workflow-team"
        tags:
          - core
          - orchestration
          - state-management

      # Notification Service
      notification:
        name: Notification Service
        description: |
          Multi-channel notification delivery service supporting email, SMS,
          push notifications, and webhook callbacks.
        spec_path: docs/requirements/12_NOTIFICATION_SERVICE.md
        spec_version: v0.1.2
        project_number: 12
        status: planned

        service_path: services/notification-service/
        service_type: fastapi
        port: 8009

        issue_number: null
        pr_numbers: []
        last_workflow_run: null
        last_snapshot_url: null

        ci_status: null
        test_coverage: null
        completeness_score: 0.12
        last_ci_run: null
        last_build_time: null

        helm_chart_path: services/notification-service/helm/
        k8s_deployed: false
        k8s_namespace: notification
        k8s_deployment_name: notification-api
        k8s_service_name: notification-api
        k8s_last_deployed: null

        created_at: 2025-11-25T14:00:00Z
        updated_at: 2025-12-02T16:30:00Z
        owner: "@notification-team"
        tags:
          - notifications
          - messaging
          - planned

      # Document Parser Service
      document_parser:
        name: Document Parser Service
        description: |
          Document parsing and extraction service supporting PDF, DOCX, HTML,
          and other common document formats.
        spec_path: docs/requirements/04_DOCUMENT_PARSER_SERVICE.md
        spec_version: v1.0.0
        project_number: 4
        status: completed

        service_path: services/document-parser-service/
        service_type: fastapi
        port: 8010

        issue_number: 35
        pr_numbers:
          - 101
          - 102
          - 105
        last_workflow_run: f9e8d7c6-b5a4-3210-9876-fedcba098765
        last_snapshot_url: https://github.com/heyarchie/archie-platform-v3/issues/35#issuecomment-234567

        ci_status: passing
        test_coverage: 0.85
        completeness_score: 0.95
        last_ci_run: 2025-12-05T18:45:00Z
        last_build_time: 189.7

        helm_chart_path: services/document-parser-service/helm/
        k8s_deployed: true
        k8s_namespace: document-parser
        k8s_deployment_name: document-parser-api
        k8s_service_name: document-parser-api
        k8s_last_deployed: 2025-12-05T19:15:00Z

        created_at: 2025-10-20T11:00:00Z
        updated_at: 2025-12-05T19:15:00Z
        owner: "@ml-team"
        tags:
          - ml
          - document-processing
          - production
kind: ConfigMap
metadata:
  creationTimestamp: null
  name: archie-services-config
  namespace: develop-archie-cluster
